5***@qq.com
5***@qq.com
  • 发布:2023-03-09 09:13
  • 更新:2024-06-11 18:55
  • 阅读:7572

Error: module 'common/vendor.js' is not defined, require args is '../../common/vendor.js'

分类:uni-app

我简单创建小程序最简单的独立包都会报错,包独立包打包好的代码(const common_vendor = require("../../common/vendor.js"))里的require改成require.async就可以了,希望官方后面能做一下处理。
独立包配置代码
"subPackages": [{
"root": "pagesB",
"pages": [{
"path" : "a/a",
"style" : {
"navigationBarTitleText": "我就是a",
"enablePullDownRefresh": false
}
}],
"independent": true

0 关注 分享

要回复文章请先登录注册

7***@qq.com

7***@qq.com

后面还有遇到重启没好的 把开发者工具的 es6 转 es5勾掉
2024-06-11 18:55
删库在逃程序员

删库在逃程序员

回复 2***@qq.com :
是的,重启小程序开发工具就好了,离大谱
2023-06-21 10:56
2***@qq.com

2***@qq.com

...重新运行软件 就好了 ,莫名其妙的报错,莫名其妙的好了
2023-05-23 11:02
5***@qq.com

5***@qq.com

您好,在hb的修改路径在哪
2023-05-15 10:31